ROCCATKONEPUREMILITARYCONTROL(1)

NAME
roccatkonepuremilitarycontrol - a tool to roccatcontrol the extended capabilities of a Roccat KonePureMilitary mouse

SYNOPSIS
roccatkonepuremilitarycontrol [ -fhv ] [ -a NUMBER ] [ -l NUMBER ] [ -r FILENAME ] [ -s NUMBER ] [ -w FILENAME ] [ --activate-profile=NUMBER ] [ --actual-profile ] [ --driver-off ] [ --driver-on ] [ --firmware=FILENAME ] [ --help ] [ --load=NUMBER ] [ --read-firmware ] [ --read-rmp=FILENAME ] [ --reset ] [ --save=NUMBER ] [ --sensor-read ] [ --sensor-register=NUMBER ] [ --sensor-write=VALUE ] [ --srom=FILENAME ] [ --version ] [ --write-rmp=FILENAME ]

DESCRIPTION
This console application lets you modify profiles of a Roccat KonePureMilitary mouse.

OPTIONS

-h, --help
    Give the help list.

-a, --activate-profile=NUMBER
    Activates the given profile. Please mind that this permanently sets the startup profile. That means the given profile will be active each time the KonePureMilitary starts up.

--actual-profile
    Returns the number of the active profile.

--driver-off
    Deactivates Windows driver state.

--driver-on
    Activates Windows driver state.

--firmware=FILENAME
    Updates the devices firmware with the given Image file. In case of an error this process can be repeated.

-f, --read-firmware
    Returns the firmware version of the KonePureMilitary.

-l, --load=NUMBER
    Loads the profile from mouse and deposits it in memory. If they differ a warning is given and the mouse profile is used further.

-r, --read-rmp=FILENAME
    Reads an rmp-file into memory.

--reset
    Resets the device to factory default settings.

-s, --save=NUMBER
    Saves the profile from memory to mouse and deposit.

--sensor-read
    Reads a value from sensors register given with --sensor-register.

--sensor-register=NUMBER
    Selects a sensor register for reading and writing.

--sensor-write=VALUE
    Write the given value in the sensor register given with --sensor-register.

--srom=FILENAME
    Updates the devices sensor rom with the given Image file.

-v, --version
    Print program version.

-w, --write-rmp=FILENAME
    Writes the profile from memory as rmp-file.

EXAMPLES

roccatkonepuremilitarycontrol -r profile.rmp -s 1
    Reads the profile from file profile.rmp and saves the result as profile number 1 in the mouse and the deposited profile.

roccatkonepuremilitarycontrol --sensor-register 0x2a --sensor-read
    Reads SROM_ID from the sensor.

AUTHOR
Stefan Achatz <erazor_de@users.sourceforge.net>